summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorbill-auger <mr.j.spam.me@gmail.com>2023-10-05 09:54:25 -0400
committerbill-auger <mr.j.spam.me@gmail.com>2023-10-21 22:13:32 -0400
commite81b5b922230151135efdfbfcc07ee624c866f49 (patch)
tree7eee88966b7bc7c38cf402183277e51c091fb016
parentbda259358f5e1b19fc2097e01f03b863dce7e836 (diff)
[qt5-webkit][qt5-styleplugins][pyqt5][qutebrowser]: rebuild against latest qt5-base
-rw-r--r--libre/pyqt5/PKGBUILD2
-rw-r--r--libre/qt5-styleplugins/PKGBUILD2
-rw-r--r--libre/qt5-webkit/PKGBUILD22
-rw-r--r--libre/qutebrowser/PKGBUILD2
4 files changed, 23 insertions, 5 deletions
diff --git a/libre/pyqt5/PKGBUILD b/libre/pyqt5/PKGBUILD
index dbda85762..a9bbaf17c 100644
--- a/libre/pyqt5/PKGBUILD
+++ b/libre/pyqt5/PKGBUILD
@@ -20,7 +20,7 @@ pkgname=('python-pyqt5')
pkgdesc="A set of Python bindings for the Qt5 toolkit"
pkgver=5.15.9
pkgrel=2
-pkgrel+=.parabola5.1
+pkgrel+=.parabola6
arch=('x86_64')
arch+=('armv7h' 'i686')
url="https://riverbankcomputing.com/software/pyqt/intro"
diff --git a/libre/qt5-styleplugins/PKGBUILD b/libre/qt5-styleplugins/PKGBUILD
index b2d318ebd..102edde88 100644
--- a/libre/qt5-styleplugins/PKGBUILD
+++ b/libre/qt5-styleplugins/PKGBUILD
@@ -13,7 +13,7 @@ pkgver=5.0.0.20170311
# $_commit is the unreleased VCS tip from 2017 (the de-facto final release)
_commit=335dbece103e2cbf6c7cf819ab6672c2956b17b3
pkgdesc='Additional style plugins for Qt5'
-pkgrel=43
+pkgrel=44
arch=('x86_64' 'aarch64')
arch+=('armv7h' 'i686')
url="https://github.com/qt/qtstyleplugins"
diff --git a/libre/qt5-webkit/PKGBUILD b/libre/qt5-webkit/PKGBUILD
index 35540675b..c0237ec23 100644
--- a/libre/qt5-webkit/PKGBUILD
+++ b/libre/qt5-webkit/PKGBUILD
@@ -16,8 +16,8 @@
pkgname=qt5-webkit
_pkgver=5.212.0-alpha4
pkgver=${_pkgver/-/}
-pkgrel=19
-pkgrel+=.parabola3
+pkgrel=20
+pkgrel+=.parabola1
arch=(x86_64)
arch+=(armv7h i686)
url='https://github.com/qtwebkit/qtwebkit'
@@ -31,6 +31,8 @@ source=("https://github.com/qtwebkit/qtwebkit/releases/download/qtwebkit-$_pkgve
qt5-webkit-bison-3.7.patch)
depends=(qt5-location qt5-sensors qt5-webchannel libwebp libxslt libxcomposite gst-plugins-base hyphen woff2)
makedepends=(cmake ruby gperf python qt5-doc qt5-tools)
+makedepends+=(dos2unix) # FIXME: - FTBS for armv7h - this did not help
+makedepends+=(clang llvm) # FIXME: - FTBS for armv7h - this did not help either
optdepends=('gst-plugins-good: Webm codec support')
sha256sums=('9ca126da9273664dd23a3ccd0c9bebceb7bb534bddd743db31caf6a5a6d4a9e6'
'4c71c958eae45cae65c9f002024eb1369d06029b668e595158138ff7971e64f1'
@@ -96,9 +98,25 @@ prepare() {
patch -p1 -i ../qt5-webkit-python-3.9.patch # Fix build with python 3.9
patch -p1 -i ../qt5-webkit-bison-3.7.patch # Fix build with bison 3.7
patch -p1 -i ../qtwebkit-cstdint.patch # gcc 11.1
+
+ # FIXME: - FTBS for armv7h
+ # reduce memory usage for armv7h
+ # > virtual memory exhausted: Connot allocate memory
+ # `cmake --build build -- -j1` - also fails:
+ # > cc1plus: out of memory allocating 1420112 bytes after a total of 41308160 bytes
+ # WIP - GCC failure could be due to UTF-16 sources
+ echo "converting UTF-16 sources to UTF-8 ...."
+ find -type f -print0 | xargs -0 dos2unix --safe --keep-bom --add-eol --quiet || :
}
build() {
+ # FIXME: - FTBS for armv7h
+ # reduce memory usage for armv7h
+ # > virtual memory exhausted: Connot allocate memory
+ # `cmake --build build -- -j1` - also fails:
+ # > cc1plus: out of memory allocating 1420112 bytes after a total of 41308160 bytes
+ [[ "${CARCH}" != armv7h ]] || export CC=clang CXX=clang++
+
cmake -B build -S qtwebkit-$_pkgver \
-DCMAKE_INSTALL_PREFIX=/usr \
-DCMAKE_CXX_FLAGS="${CXXFLAGS} -DNDEBUG" \
diff --git a/libre/qutebrowser/PKGBUILD b/libre/qutebrowser/PKGBUILD
index 33d157337..ea9e67fe5 100644
--- a/libre/qutebrowser/PKGBUILD
+++ b/libre/qutebrowser/PKGBUILD
@@ -21,7 +21,7 @@
pkgname=qutebrowser
pkgver=2.5.4
pkgrel=2
-pkgrel+=.parabola4.1
+pkgrel+=.parabola5
pkgdesc="A keyboard-driven, vim-like browser based on PyQt5"
pkgdesc+=" and QtWebKit"
arch=("any")